Bug 132081 - No GNUTLS port make option for databases/freetds
Summary: No GNUTLS port make option for databases/freetds
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-25 01:30 UTC by Matthew Ekstrand-Abueg
Modified: 2009-03-03 06:00 UTC (History)
0 users

See Also:


Attachments
freetds.patch (419 bytes, patch)
2009-02-25 01:30 UTC, Matthew Ekstrand-Abueg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Ekstrand-Abueg 2009-02-25 01:30:01 UTC
    freetds-6.4 allows gnutls support if configured with --with-gnutls, but
    there is no configuration option for this in the port makefile.  So I am
    simply proposing an addition of a make argument to add that configure flag
    and adding a dependency for gnutls to match.

    The reason this was needed was for encryption support with MSSQL 2005,
    which wasn't working with OPENSSL, but works with GNUTLS (has been reported
    to be true on other systems as well).
Comment 1 Edwin Groothuis freebsd_committer 2009-02-25 01:30:09 UTC
Maintainer of databases/freetds,

Please note that PR ports/132081 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/132081

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-02-25 01:30:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Peter Lai 2009-02-25 03:03:36 UTC
can you test --with-gnutls with ports/freetds-devel as well?
Comment 4 Matthew Ekstrand-Abueg 2009-02-25 03:57:28 UTC
On 22:03 Tue 24 Feb     , Peter Lai wrote:
> can you test --with-gnutls with ports/freetds-devel as well?


The configure flag works with freetds-devel.  It was actually from
freetds-0.82 that I found out about the flag.  In case you want one, I
have included a patch below for freetds-devel to add the flag and
option.

-- 
Matthew Ekstrand-Abueg
Lead Unix Systems Administrator
Network Infrastructure, RSSP-IT
UC Berkeley


--- Makefile.orig	2009-02-14 15:31:43.000000000 -0800
+++ Makefile	2009-02-24 19:52:08.000000000 -0800
@@ -35,6 +35,7 @@
 MAN5=		freetds.conf.5
 
 OPTIONS=	OPENSSL "Use openssl" off       \
+		GNUTLS "Use GNUTLS" off \
 		IODBC   "Use iodbc (Mutually Exclusive)" off    \
 		UNIXODBC "Use unixodbc (Mutually Exclusive)" off        \
 		MSDBLIB "MS SQL Server support (breaks databases/sybtcl)"       off
@@ -48,6 +49,11 @@
 CONFIGURE_ARGS+=--with-openssl=${OPENSSLBASE}
 .endif
 
+.if defined(WITH_GNUTLS)
+LIB_DEPENDS+=	gnutls:${PORTSDIR}/security/gnutls
+CONFIGURE_ARGS+=--with-gnutls
+.endif
+
 .if defined(WITH_IODBC)
 LIB_DEPENDS+=	iodbc:${PORTSDIR}/databases/libiodbc
 CONFIGURE_ARGS+=	--with-iodbc=${LOCALBASE}
Comment 5 Beech Rintoul freebsd_committer 2009-03-03 02:11:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 6 dfilter service freebsd_committer 2009-03-03 05:55:53 UTC
beech       2009-03-03 05:55:42 UTC

  FreeBSD ports repository

  Modified files:
    databases/freetds    Makefile pkg-plist 
  Added files:
    databases/freetds/files patch-doc_Makefile.in 
  Removed files:
    databases/freetds/files noportdocs-patch-doc__Makefile.in 
  Log:
  - Add options gui
  - Add gnutls option [1]
  - Fix to respect portdocs
  - Fix plist
  - Bump portrevision
  
  PR:             ports/132081
  Submitted by:   Matthew Ekstrand-Abueg <mattea@rescomp.berkeley.edu>
  Approved by:    Peter Lai <cowbert@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.55      +21 -7     ports/databases/freetds/Makefile
  1.4       +0 -12     ports/databases/freetds/files/noportdocs-patch-doc__Makefile.in (dead)
  1.3       +101 -0    ports/databases/freetds/files/patch-doc_Makefile.in (new)
  1.21      +2 -201    ports/databases/freetds/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Beech Rintoul freebsd_committer 2009-03-03 05:56:59 UTC
State Changed
From-To: feedback->closed

Committed, Thanks!